import ooo2sdbk
import os.path

radical = "conversion-o2d-doc"
catPath = "/mnt/win_d/ooo2sdbk/catalogs/"

# Input OpenOffice-Writer file
oooFile = radical + ".sxw"

# Output simple Docbook file
docbookFile = radical + "-dbk.xml"
htmlSimple = radical + "-mono.htm"
htmlBrut = radical + "-brut.htm"
htmlMultiple = r"index.htm"
foFile = radical + ".fo"
pdfFile = radical + ".pdf"

# XSL stylesheet
htmlMultipleXSL = catPath + "perso-xsl/html-multiple.xsl"
htmlSimpleXSL = catPath + "perso-xsl/html-simple.xsl"
htmlBrutXSL = catPath + "docbook-xsl/html/docbook.xsl"
FOXSL = catPath + "perso-xsl/fo.xsl"


ooo2sdbk.convert(oooFile, docbook=docbookFile, deltemp=0,command="xsltproc", xslParams="")
ooo2sdbk.convert2(docbookFile, "s", htmlMultipleXSL, "xsltproc-cat", "toc.section.depth=2")
ooo2sdbk.convert2(docbookFile, htmlSimple, htmlSimpleXSL, "xsltproc-cat", "toc.section.depth=2")
#ooo2sdbk.convert2(docbookFile, htmlBrut, htmlBrutXSL, "saxon-cat", "")
#ooo2sdbk.convert2(docbookFile, foFile, FOXSL, "saxon-cat", "")
#ooo2sdbk.convert2(docbookFile, pdfFile, "fo.xsl","fop-pdf")

#ooo2sdbk.convert2(docbookFile, "dbkParse.xml", "parse.xsl","xsltproc-cat")
