import ooo2sdbk
import os.path

radical = "flatxml"
catPath = "/mnt/win_d/ooo2sdbk/catalogs/"

# Input OpenOffice-Writer file
oooFile = radical + "-ooo.xml"

# Output simple Docbook file
docbookFile = radical + "-dbk.xml"
htmlSimple = "index.htm"
htmlBrut = radical + "-brut.htm"
htmlMultiple = r"index.htm"
foFile = radical + ".fo"
pdfFile = radical + ".pdf"

# XSL stylesheet
htmlMultipleXSL = catPath + "perso-xsl/html-multiple.xsl"
htmlSimpleXSL = catPath + "perso-xsl/html-simple.xsl"
htmlBrutXSL = catPath + "docbook-xsl/html/docbook.xsl"
FOXSL = catPath + "perso-xsl/fo.xsl"


ooo2sdbk.convert2(oooFile, docbookFile, "/mnt/win_d/ooo2sdbk/devel/program/ooo2sdbk/ooo2sdbk.xsl", "xsltproc", "")
ooo2sdbk.convert2(docbookFile, htmlSimple, htmlSimpleXSL, "xsltproc-cat", "toc.section.depth=2")

